Skip to main content
GET
List Threads

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

Query Parameters

state
enum<string>
default:all

Return only entries with a comment in this state.

Available options:
all,
unanswered,
replied,
resolved
channel
enum<string>

Return only entries for this publishing channel.

Available options:
bluesky,
facebook,
instagram,
threads,
mastodon,
x,
linkedin,
tiktok,
youtube
destination_id
string

Return only Posts for this Destination.

Required string length: 1 - 200
since
string<date-time>

Return only comments at or after this time.

until
string<date-time>

Return only comments before this time.

sort
enum<string>
default:unanswered_first

Order of the entries.

Available options:
unanswered_first,
newest,
oldest
limit
integer
default:25

Maximum number of items to return.

Required range: 1 <= x <= 100
after
string

The next_cursor value from the previous page. Send this value without changes.

Response

A page of threads.

data
object[]
required
has_more
boolean
required
Example:

false

next_cursor
string | null
required
Example:

"eyJ2ZXJzaW9uIjoxfQ"